import {
  Catch,
  Logger,
  ArgumentsHost,
  ForbiddenException,
} from '@nestjs/common'
import { BaseExceptionFilter } from '@nestjs/core'
import { JsonWebTokenError } from 'jsonwebtoken'

@Catch(JsonWebTokenError)
export class JwtExceptionsFilter extends BaseExceptionFilter {
  private readonly logger = new Logger(JsonWebTokenError.name)

  catch(exception: JsonWebTokenError, host: ArgumentsHost) {
    this.logger.error(exception)
    super.catch(new ForbiddenException(exception.message), host)
  }
}
