import { Body, Controller, Query, Post } from '@nestjs/common'
import { EmailService } from './email.service'
import { ApiTags, ApiOperation, ApiQuery } from '@nestjs/swagger'
import { EmailSendDto, EmailScene } from './dto/email.dto'

@ApiTags('Email')
@Controller('api/email')
export class EmailController {
  constructor(private readonly emailService: EmailService) {}

  // @ApiOperation({ summary: '测试邮件' })
  // @Post('test')
  // async sendEmailTo(@Body() payload: EmailDto) {
  //   return this.emailService.sendEmailTo(payload.email)
  // }

  @ApiOperation({ summary: '发送邮箱验证码' })
  @Post()
  async getRegisterToken(@Body() payload: EmailSendDto) {
    return this.emailService.getRegisterToken(payload.email, payload.scene)
  }
}
